#ifdef MEDIA426_A20ED_A20E_A20F_A20G_A21E_A22E_A22G_A36M_A31E_A31M_A33M_A35E_A35M_AU1E_AU2E_AU2F_AU2G_AU3E
#ifndef AMIGAINC_H
#define AMIGAINC_H

extern char* strchr(); /* This function is in the Aztec C library but not declared in any header file supplied with Aztec C */
/* #include <functions.h> would cause a conflict for ConsoleDevice which is declared as a function there and is also a required variable */
/*extern void AddHead();*/
extern void AddIntServer();
extern void AddPort();
/*extern void AddTask();*/
extern long Alert();
/*extern struct MemList* AllocEntry();*/
extern void* AllocMem();
extern long AllocSignal();
extern long AvailMem();
extern void BeginIO();
extern long BltBitMap();
extern void CBump();
extern void CMove();
extern void CWait();
extern void ChangeSprite();
extern struct IORequest* CheckIO();
extern void Close();
extern void CloseDevice();
extern struct MsgPort* CreatePort();
extern struct Process* CreateProc();
extern struct IOStdReq* CreateStdIO();
extern struct Task* CreateTask();
extern long* DateStamp();
extern void Delay();
extern short DeleteFile();
extern void DeletePort();
extern void DeleteStdIO();
extern void DeleteTask();
extern struct Process* DeviceProc();
extern void DisownBlitter();
extern short DisplayAlert();
extern long DoIO();
extern struct FileLock* DupLock();
extern struct MsgPort* FindPort();
extern struct Task* FindTask();
extern void Forbid();
extern void FreeMem();
extern void FreeSignal();
extern void FreeSprite();
extern struct ColorMap* GetColorMap();
extern struct Message* GetMsg();
extern short GetSprite();
extern short Info();
extern void InitBitMap();
extern long IoErr();
extern FILE_HANDLE Input();
extern struct Segment* LoadSeg();
extern struct FileLock* Lock();
extern void MoveSprite();
extern void MrgCop();
/*extern void NewList();*/
extern FILE_HANDLE Open();
extern long OpenDevice();
extern struct Library* OpenLibrary();
extern struct MiscResource* OpenResource();
FILE_HANDLE Output();
extern void OwnBlitter();
extern void Permit();
extern void PutMsg();
extern short RawKeyConvert();
extern long Read();
extern void RectFill();
extern void RemIntServer();
extern void RemPort();
/*extern void RemTask();*/
extern short Rename();
extern void ReplyMsg();
extern void ScrollRaster();
extern long Seek();
extern void SendIO();
extern void SetAPen();
extern void SetBPen();
extern void SetRast();
extern void Signal();
extern void UnLock();
extern short VBeamPos();
extern long Wait();
extern void WaitBOVP();
extern void WaitBlit();
extern long WaitIO();
extern short WaitForChar();
extern struct Message* WaitPort();
extern void WaitTOF();
extern long Write();


extern long SetFunction();
extern struct Message* CreateExtIO();
#endif
#endif
